#include "spiRam.h"

// this is just a test - see spiRam.h for "documentation".

void setup() {
  Serial.begin(115200);
  Serial.print("Starting...");
  spiRam::start();
  Serial.println("started.");
  
  Serial.print("Writing...");
  spiRam::writeSpi((uint8_t *)"It was the best of times " ,0, 25);
  spiRam::writeSpi((uint8_t *)"it was the blurst of times.", 25, 28);
  Serial.println("written.");

  uint8_t buffer[64];
  for (int i = 0; i < 64; i++)
    buffer[i] = 42;
    
  Serial.print("Reading...");
  spiRam::readSpi(buffer, 0, 53);
  Serial.println("read.");
  
  Serial.println((char *)buffer);

  Serial.println("\nDone.");
}

void loop() {
}
